/*
 * Copyright 2010 Trustees of the University of Pennsylvania Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package metridoc.plugins.schema

/**
 * Created by IntelliJ IDEA.
 * User: tbarker
 * Date: 7/10/11
 * Time: 4:44 PM
 */
interface Schema {
    void addNotNullConstraints(String tableName, Map<String, String> columns)
    void createBasicTable(String tableName, Map<String, String> columns)

    /**
     * creates a batch of single valued tables where the column name is equal to the table name
     *
     * @param columns
     */
    void createOneColumnTables(Map columns)
}
